Show / Hide Table of Contents

# Class OpenIddictQuartzBuilder

Exposes the necessary methods required to configure the OpenIddict Quartz.NET integration.

##### Inheritance

System.Object
OpenIddictQuartzBuilder

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictQuartzBuilder

### Constructors

#### OpenIddictQuartzBuilder(IServiceCollection)

Initializes a new instance of OpenIddictQuartzBuilder.

##### Declaration

    public OpenIddictQuartzBuilder(IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.

### Properties

#### Services

Gets the services collection.

##### Declaration

    public IServiceCollection Services { get; }

##### Property Value

Type | Description
--- | ---
IServiceCollection |

### Methods

#### Configure(Action<OpenIddictQuartzOptions>)

Amends the default OpenIddict Quartz.NET configuration.

##### Declaration

    public OpenIddictQuartzBuilder Configure(Action<OpenIddictQuartzOptions> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<OpenIddictQuartzOptions> | configuration | The delegate used to configure the OpenIddict options.

##### Returns

Type | Description
--- | ---
OpenIddictQuartzBuilder | The OpenIddictQuartzBuilder.

##### Remarks

This extension can be safely called multiple times.

#### DisableAuthorizationPruning()

Disables authorizations pruning.

##### Declaration

    public OpenIddictQuartzBuilder DisableAuthorizationPruning()

##### Returns

Type | Description
--- | ---
OpenIddictQuartzBuilder | The OpenIddictQuartzBuilder.

#### DisableTokenPruning()

Disables tokens pruning.

##### Declaration

    public OpenIddictQuartzBuilder DisableTokenPruning()

##### Returns

Type | Description
--- | ---
OpenIddictQuartzBuilder | The OpenIddictQuartzBuilder.

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()

#### SetMaximumRefireCount(Int32)

Sets the number of times a failed Quartz.NET job can be retried.

##### Declaration

    public OpenIddictQuartzBuilder SetMaximumRefireCount(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count | The number of times a failed Quartz.NET job can be retried.

##### Returns

Type | Description
--- | ---
OpenIddictQuartzBuilder | The OpenIddictQuartzBuilder.

#### SetMinimumAuthorizationLifespan(TimeSpan)

Sets the minimum lifespan authorizations must have to be pruned.

##### Declaration

    public OpenIddictQuartzBuilder SetMinimumAuthorizationLifespan(TimeSpan lifespan)

##### Parameters

Type | Name | Description
--- | --- | ---
System.TimeSpan | lifespan | The minimum lifespan authorizations must have to be pruned.

##### Returns

Type | Description
--- | ---
OpenIddictQuartzBuilder | The OpenIddictQuartzBuilder.

#### SetMinimumTokenLifespan(TimeSpan)

Sets the minimum lifespan tokens must have to be pruned.

##### Declaration

    public OpenIddictQuartzBuilder SetMinimumTokenLifespan(TimeSpan lifespan)

##### Parameters

Type | Name | Description
--- | --- | ---
System.TimeSpan | lifespan | The minimum lifespan tokens must have to be pruned.

##### Returns

Type | Description
--- | ---
OpenIddictQuartzBuilder | The OpenIddictQuartzBuilder.

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()